## com.puppycrawl.tools.checkstyle.checks.indentation
Class AssignHandler

    java.lang.Object
      com.puppycrawl.tools.checkstyle.checks.indentation.ExpressionHandler
          com.puppycrawl.tools.checkstyle.checks.indentation.BlockParentHandler
              com.puppycrawl.tools.checkstyle.checks.indentation.AssignHandler

    public class AssignHandler

extends BlockParentHandler

Handler for assignements.

Author:
  o_sukhodolsky

Constructor Summary
`AssignHandler(IndentationCheck aIndentCheck, DetailAST aAst, ExpressionHandler aParent)` Construct an instance of this handler with the given indentation check, abstract syntax tree, and parent handler.

Method Summary
`void` `checkIndentation()` Check the indentation of the expression we are handling.
`protected boolean` `shouldIncreaseIndent()`
`IndentLevel` `suggestedChildLevel(ExpressionHandler aChild)` Indentation level suggested for a child element.

Methods inherited from class com.puppycrawl.tools.checkstyle.checks.indentation.BlockParentHandler
`checkLCurly, checkRCurly, checkToplevelToken, childrenMayNest, getCheckedChildren, getChildrenExpectedLevel, getLCurly, getListChild, getLParen, getNonlistChild, getRCurly, getRParen, getToplevelAST, hasCurlys, rcurlyMustStart, toplevelMustStartLine`

Methods inherited from class com.puppycrawl.tools.checkstyle.checks.indentation.ExpressionHandler
`checkChildren, checkExpressionSubtree, checkLinesIndent, checkLParen, checkModifiers, checkRParen, expandedTabsColumnNo, findSubtreeLines, getBasicOffset, getBraceAdjustement, getFirstLine, getIndentCheck, getLevel, getLevelImpl, getLineStart, getLineStart, getMainAst, getParent, logError, logError, startsLine`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AssignHandler

    public AssignHandler(IndentationCheck aIndentCheck,
                         DetailAST aAst,
                         ExpressionHandler aParent)

  Construct an instance of this handler with the given indentation check, abstract syntax tree, and parent handler.

  Parameters:
    `aIndentCheck` - the indentation check
    `aAst` - the abstract syntax tree
    `aParent` - the parent handler

Method Detail

### checkIndentation

    public void checkIndentation()

  Description copied from class: `ExpressionHandler`
  Check the indentation of the expression we are handling.

  Overrides:
    `checkIndentation` in class `BlockParentHandler`

### shouldIncreaseIndent

    protected boolean shouldIncreaseIndent()

  Overrides:
    `shouldIncreaseIndent` in class `ExpressionHandler`
  Returns:
    true if indentation should be increased after fisrt line in checkLinesIndent() false otherwise

### suggestedChildLevel

    public IndentLevel suggestedChildLevel(ExpressionHandler aChild)

  Description copied from class: `ExpressionHandler`
  Indentation level suggested for a child element. Children don't have to respect this, but most do.

  Overrides:
    `suggestedChildLevel` in class `BlockParentHandler`
  Parameters:
    `aChild` - child AST (so suggestion level can differ based on child type)
  Returns:
    suggested indentation for child

Copyright © 2001-2010. All Rights Reserved.